Package tigase.server.ext

# Class ComponentIOService

java.lang.Object
tigase.net.IOService<RefObject>
tigase.xmpp.XMPPIOService<List<ComponentConnection>>
tigase.server.ext.ComponentIOService

All Implemented Interfaces:
  `Callable<IOService<?>>`, `TLSEventHandler`, `IOListener`

public class ComponentIOService extends XMPPIOService<List<ComponentConnection>>
Created: Jun 14, 2010 12:05:41 PM

Author:
  Artur Hefczyc

- ## Field Summary

  ### Fields inherited from class tigase.xmpp.XMPPIOService

  `ACK_NAME, CROSS_DOMAIN_POLICY_FILE_PROP_KEY, CROSS_DOMAIN_POLICY_FILE_PROP_VAL, DOM_HANDLER, ID_ATT, parser, processors, REQ_NAME, serviceListener, STREAM_CLOSING, writeInProgress`

  ### Fields inherited from class tigase.net.IOService

  `cb, CERT_CHECK_RESULT, CERT_REQUIRED_DOMAIN, decoder, encoder, HOSTNAME_KEY, LOCAL_CERT_CHECK_RESULT, partialCharacterBytes, PORT_TYPE_PROP_KEY, SESSION_ID_KEY, SSL_PROTOCOLS_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentIOService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRecentJID(JID jid)`
  `String`
  `getRoutings()`
  `boolean`
  `isAuthenticated()`
  `boolean`
  `isRecentJID(JID jid)`
  `void`
  `setAuthenticated(boolean authenticated)`
  `void`
  `setRoutings(String r)`

  ### Methods inherited from class tigase.xmpp.XMPPIOService

  `addPacketToSend, addReceivedPacket, call, checkBufferLimit, checkData, clearWaitingPackets, forceStop, getAuthorisedUserJid, getLastXmppPacketReceiveTime, getPacketsReceived, getPacketsSent, getReceivedPackets, getTotalPacketsReceived, getTotalPacketsSent, getUserJid, getWaitingForAct, getWaitingPackets, getXMLNS, hasParsedElements, moveParsedPacketsToReceived, prepareStreamClose, processSocketData, processWaitingPackets, receivedPackets, setAckMode, setAuthorisedUserJid, setElementLimits, setIOServiceListener, setProcessors, setUserJid, setXMLNS, shouldCountPacket, stop, toString, writeRawData, xmppStreamClosed, xmppStreamOpen, xmppStreamOpened`

  ### Methods inherited from class tigase.net.IOService

  `accept, accept, byteOrder, connectionType, debug, debug, getBuffOverflow, getBytesReceived, getBytesSent, getCertificateContainer, getConnectionId, getDataReceiver, getIO, getLastTransferTime, getLocalAddress, getLocalCertificate, getLocalPort, getPeerCertificate, getReadCounters, getRefObject, getRemoteAddress, getSessionData, getSocketChannel, getSocketInputSize, getStatistics, getTlsExporter, getTlsUniqueId, getTotalBuffOverflow, getTotalBytesReceived, getTotalBytesSent, getUniqueId, getWriteCounters, handleMalformedInput, handshakeCompleted, isConnected, isInputBufferEmpty, isSocketServiceReady, readBytes, readCompleted, readData, setBufferLimit, setCertificateContainer, setConnectionId, setDataReceiver, setIOServiceListener, setRefObject, setSessionData, setSocketServiceReady, setSslContextContainer, setX509TrustManagers, startSSL, startTLS, startZLib, waitingToRead, waitingToSend, waitingToSendSize, writeBytes, writeData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComponentIOService

    public ComponentIOService()

- ## Method Details

  - ### isAuthenticated

    public boolean isAuthenticated()

  - ### setAuthenticated

    public void setAuthenticated(boolean authenticated)

  - ### getRoutings

    public String getRoutings()

  - ### setRoutings

    public void setRoutings(String r)

  - ### addRecentJID

    public void addRecentJID(JID jid)

  - ### isRecentJID

    public boolean isRecentJID(JID jid)